Subject: Re: bug#36051: "guix import gnu" says public key is not in keyring
From: Ludovic Courtès <[email-masked]>
To: Jesse Gibbons <[email-masked]> (by way of Jesse Gibbons <[email-masked]>)
Cc: [email-masked]
Date: Mon, 02 Sep 2019 21:41:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Jesse,

Jesse Gibbons <[email-masked]> (by way of Jesse Gibbons
<[email-masked]>) skribis:

> On Sun, 02 Jun 2019 18:13:16 +0200
> Ludovic Courtès <[email-masked]> wrote:
>
>> Hi,
>> 
>> Jesse Gibbons <[email-masked]> skribis:
>> 
>> > Starting download of /tmp/guix-file.cZoC7H
>> > From ftp://ftp.gnu.org/gnu/gnurobots/gnurobots-1.2.0.tar.gz.sig...
>> >  ….0.tar.gz.sig  72B                  170KiB/s 00:00
>> > [##################] 100.0% In execvp of gpgv: No such file or
>> > directory  
>> 
>> The real issue here is that ‘gpgv’ cannot be found in $PATH.
>> 
>> I think you have to run “guix install gnupg” to fix it.
>> 
>> HTH,
>> Ludo’.
>
> I pointed that out at the end of my bug report. I thought guix was
> supposed to be stateless, with behavior independent on what the user has
> installed, so I recommended adding gnupg as a propagated input so it
> wouldn't be dependant on a user (or administrator) installing gnupg.
> If it is preferrable not to install gnupg alongside guix, then I will
> note in the docs that gnupg must be found in $PATH for "guix import
> gnu", "guix import elpa" and "guix refresh" to be successful, and then
> we can close this issue.

I finally went ahead and mentioned it in the manual in commit
d34e9114e679666dfbf7caf577117010eca20520.

Thanks,
Ludo’.